## org.apache.batik.dom.svg
Class SVGOMCSSImportedElementRoot

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractDocumentFragment
                  org.apache.batik.dom.svg.SVGOMCSSImportedElementRoot

All Implemented Interfaces:
  CSSImportedElementRoot, org.w3c.dom.DocumentFragment, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

public class SVGOMCSSImportedElementRoot
extends AbstractDocumentFragment
implements CSSImportedElementRoot

This class implements `DocumentFragment` interface. It is used to implement the SVG use element behavioUr.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected org.w3c.dom.Element` `cssParentElement` The parent CSS element.
`protected boolean` `isLocal` Indicates if the imported css element is from this document.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `SVGOMCSSImportedElementRoot()` Creates a new DocumentFragment object.
`` `SVGOMCSSImportedElementRoot(AbstractDocument owner, org.w3c.dom.Element parent, boolean isLocal)` Creates a new DocumentFragment object.

Method Summary
`org.w3c.dom.Element` `getCSSParentElement()` Returns the parent of the imported element, from the CSS point of view.
`boolean` `getIsLocal()` Returns true if the imported CSS tree is from this 'owner' document.
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractDocumentFragment
`checkChildType, getNodeName, getNodeType`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, deepCopyInto, deepExport, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, cloneNode, copyInto, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, hasAttributes, isSupported, removeEventListener, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### cssParentElement

    protected org.w3c.dom.Element cssParentElement

  The parent CSS element.

### isLocal

    protected boolean isLocal

  Indicates if the imported css element is from this document.

Constructor Detail

### SVGOMCSSImportedElementRoot

    protected SVGOMCSSImportedElementRoot()

  Creates a new DocumentFragment object.

### SVGOMCSSImportedElementRoot

    public SVGOMCSSImportedElementRoot(AbstractDocument owner,
                                       org.w3c.dom.Element parent,
                                       boolean isLocal)

  Creates a new DocumentFragment object.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

  Specified by:
    `isReadonly` in interface `ExtendedNode`

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

  Specified by:
    `setReadonly` in interface `ExtendedNode`

### getCSSParentElement

    public org.w3c.dom.Element getCSSParentElement()

  Returns the parent of the imported element, from the CSS point of view.

  Specified by:
    `getCSSParentElement` in interface `CSSImportedElementRoot`

### getIsLocal

    public boolean getIsLocal()

  Returns true if the imported CSS tree is from this 'owner' document.

  Specified by:
    `getIsLocal` in interface `CSSImportedElementRoot`

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.